Bug 1267227 - Section 1.1 - Capsule Architecture Statement is misleading
Section 1.1 - Capsule Architecture Statement is misleading
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: Peter Ondrejka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 07:53 EDT by Rich Jerrido
Modified: 2016-07-14 20:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-14 20:29:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2015-09-29 07:53:39 EDT
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#sect-Red_Hat_Satellite-Installation_Guide-RednbspHat_Satellite_6_System_Architecture

Section Number and Name: 1.1. Red Hat Satellite 6 System Architecture

Describe the issue: Section 1.1 states: 

"Capsule Servers
    Capsule Servers ... The communication between the Capsule Server and the Satellite Server is secured through a single network connection, which greatly reduces the complexity of firewall configuration.", which implies that the communication between the Satellite and Capsule uses a single port, which is incorrect. Communication between the clients and Satellite is routed via the Satellite Capsule, so that the Capsule is the only entity that connects to the Satellite. 




Suggestions for improvement: 

This statement should be amended as such. 

"Capsule Servers
    Capsule Servers ... The communication between clients registered via a Capsule Server and the Satellite Server is routed single network connection, which greatly reduces the complexity of firewall configuration."

Additional information: 

See https://access.redhat.com/articles/1447533 for additional details.
Comment 1 David Caplan 2015-09-30 12:37:19 EDT
Better wording:

The communication between the managed Host and the Satellite Server is routed through the Capsule. There are multiple services managed by the Capsule, on behalf of the managed hosts. Many of these services use dedicated TCP ports. The Capsule ensures that a single source IP address is used for all communications from the Host to the Satellit e Server via the Capsule. Proxying all host communications through the Capsule simplifies FW administration. Most sessions are initiated by the host / Capsule, with some exceptions noted in the documentation
Comment 4 Andrew Dahms 2016-07-14 20:29:38 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.